- fix package version in pkgconfig
authorJan Rękorajski <baggins@pld-linux.org>
Wed, 24 Feb 2021 21:13:20 +0000 (22:13 +0100)
committerJan Rękorajski <baggins@pld-linux.org>
Wed, 24 Feb 2021 21:13:20 +0000 (22:13 +0100)
- rel 3

linux-gpib.spec
pkgconfig-version.patch [new file with mode: 0644]

index 605ee45b7d8f101e14856b351b95aa7a9c68acbb..51b6331847082cf18a0d64736a9ada20ce9e51f1 100644 (file)
@@ -34,7 +34,7 @@ exit 1
 
 %define                php_name        php%{?php_suffix}
 
-%define                rel     2
+%define                rel     3
 %define                pname   linux-gpib
 Summary:       GPIB (IEEE 488) Linux support
 Summary(pl.UTF-8):     Obsługa GPIB (IEEE 488) dla Linuksa
@@ -52,6 +52,7 @@ Patch5:               %{pname}-guile2.patch
 Patch6:                %{pname}-php7.patch
 Patch8:                kernel-5.2.patch
 Patch9:                kernel-5.10.patch
+Patch10:       pkgconfig-version.patch
 URL:           http://linux-gpib.sourceforge.net/
 BuildRequires: autoconf >= 2.50
 BuildRequires: automake
@@ -282,6 +283,7 @@ cd linux-gpib-user-%{version}
 %patch4 -p1
 %patch5 -p1
 #%patch6 -p1
+%patch10 -p1
 cd ..
 %endif
 
diff --git a/pkgconfig-version.patch b/pkgconfig-version.patch
new file mode 100644 (file)
index 0000000..8c0b83a
--- /dev/null
@@ -0,0 +1,11 @@
+--- linux-gpib-user-4.3.3/lib/libgpib.pc.in~   2020-05-09 10:08:14.000000000 +0200
++++ linux-gpib-user-4.3.3/lib/libgpib.pc.in    2021-02-24 22:11:20.744857867 +0100
+@@ -6,7 +6,7 @@
+ Name: libgpib
+ Description:  Linux-GPIB the IEEE-488 card support package and measurement suite for LINUX
+-Version: @GPIB_SO_VERSION@
++Version: @VERSION@
+ Requires: 
+ Libs: -lgpib
+ Cflags: -I${includedir}
This page took 0.062432 seconds and 4 git commands to generate.